<template>
	<view class="contentV">
		<customNav :shownav="true" :title="$t('index.xiadanzhifu')" titledetl=""></customNav>
		
		<view class="ctinrow">
			<view class="topSwichV" :style="{backgroundColor:Bcolor}" @click="peisong">
				<view class="topSwichV">
					<image class="toppz" :src="peisongimg" mode="widthFix"></image>
					<text class="toppztext" :style="{color:Tcolor}">{{$t('order.peisong')}}</text>
				</view>
			</view>
			<view class="topSwichVL" :style="{backgroundColor:Bcolorr}" @click="ziqu">
				<view class="topSwichVL">
					<image class="toppz" :src="ziquimg" mode="widthFix"></image>
					<text class="toppztext" :style="{color:Tcolorr}">{{$t('order.ziqu')}}</text>
				</view>
			</view>
			<view class="topSwichVL" :style="{backgroundColor:Bcolorrr}" @click="tangshi">
				<view class="topSwichVL">
					<image class="toppz" :src="tangshiimg" mode="widthFix"></image>
					<text class="toppztext" :style="{color:Tcolorrr}">{{$t('shouye.tangshi')}}</text>
				</view>
			</view>
		</view>
		<label class="linesp"></label>
		<uni-list v-if="showAdrr==0">
		    <uni-list-item :title="dizhiID.address" :note="dizhiID.phone" :rightText="dizhiID.name" thumb="/static/images/dizhil@3x.png"
		     thumb-size="sm" @click="changaddr" link></uni-list-item>
		</uni-list>
		
		<view v-if="showAdrr==2" class="contentInRowS" style="margin-left:4%;margin-top: 20rpx;width: 92%;margin-bottom: 20rpx;" @click="inputZuohao">
			<text style="color:fuchsia;font-size: 30rpx;">用餐桌號</text>
			<text v-if="zuohao.length==0" style="font-weight: bold;color: black;font-size: 34rpx;text-decoration: underline;">用餐桌號</text>
			<text v-if="zuohao.length!=0" style="font-weight: bold;color: black;font-size: 34rpx;text-decoration: underline;">{{zuohao}}</text>
		</view>
		
		<label class="linesp"></label>
		<label class="linesp"></label>
		<uni-list>
		    <uni-list-item :title="$t('index.goodslist')"></uni-list-item>
		</uni-list>
		
		<view v-for="(items,indexs) in gouwuche">
			<view class="contentInRowL">
				<netImage style="margin-left: 12rpx;margin-top: 10rpx;" width="60" height="60" bradius="30" :mysrc="items.logo" mymode="scaleToFill"></netImage>
				<text>{{items.posName}}</text>
			</view>
			<view v-for="(item,findex) in items.food">
				<view class="spnodetail">
					<view class="">
						<myImage class="spIcon" :mysrc="item.image" mymode="scaleToFill"></myImage>
					</view>
					<view style="width: 82%;">
						<view class="actBTV">
							<view style="font-size: 30rpx;width: 100%;">
								<text class="text2row" style="width: 100%;">{{item.name}}</text>
							</view>
							<view class="contentInRowL">
								<image v-if="item.number>0" class="imageRJ" src="/static/meishi/jianh.png" mode="aspectFit" @click="jiajian(indexs,findex,-1)"></image>
								<text v-if="item.number>0" class="textR">{{item.number}}</text>
								<image class="imageR" src="/static/meishi/jiah.png" mode="aspectFit" @click="jiajian(indexs,findex,1)"></image>
							</view>
						</view>
						<view class="actBTV">
							<view style="font-size: 26rpx;color: blueviolet;">{{$t('shangpin.shoujia')}}: {{$formPr(item.price+item.otherPrice)}}{{$t('locale.huobidw')}}</view>
							<view class="xiaoji" style="font-size: 28rpx;color: brown;">{{$t('shangpin.xiaoji')}}: {{$formPr((item.price+item.otherPrice)*item.number)}}{{$t('locale.huobidw')}}</view>
						</view>
						<view class="viewinrow" >
							<text class="kouweisku">{{arraytoStr(item.ask)}}</text>
						</view>
						<view v-if="item.beizhu" class="">
							<text style="font-size: 30rpx;color:#00A6FF;">{{item.beizhu}}</text>
						</view>
					</view>
				</view>
			</view>
		</view>
	
		<label class="linesp"></label>
		<label class="linesp"></label>
		
		<view class="contentInRowS shifdf" @click="shifodaofu">
			<view class="contentInRowC">
				<image style="width: 50rpx;height: 50rpx;" src="/static/images/payflact@3x.png" mode="scaleToFill"></image>
				<text class="shifdftext" :style="shifoudf==0?'color:darkgray;':'color:fuchsia;'">{{$t('index.huodaofukan')}}</text>
			</view>
			<image v-if="shifoudf==1" style="width: 50rpx;height: 50rpx;" src="/static/images/dagoul.png" mode="scaleToFill"></image>
		</view>
		<label class="linesp"></label>
		<label class="linesp"></label>
		<uni-list>
		    <uni-list-item :title="$t('order.beizhu')"></uni-list-item>
		</uni-list>
		<textarea class="pinglun" :placeholder="$t('order.srddbz')" :value="remarks" @input="sumfontnum"></textarea>
		<label class="linesp"></label>
		<label class="linesp"></label>
		<view v-if="showAdrr==0">
			<uni-list>
			    <uni-list-item :title="$t('order.menpaizp')"></uni-list-item>
			</uni-list>
			<view class="contentColumnC" style="margin-top: 30rpx;" @click="selectImage">
				<netImage width="640" height="640" :mysrc="mpImage" mymode="scaleToFill" ></netImage>
			</view>
			<view class="linesp" style="margin-top: 20rpx;"></view>
			<label class="linesp"></label>
		</view>
		
		<uni-list>
		    <uni-list-item :title="$t('order.shangpinxj')" :rightText="$formPr(spxj)+$t('locale.huobidw')" />
			<uni-list-item :title="$t('order.peisongfei')" :rightText="$formPr(psf)+$t('locale.huobidw')"/>
			<uni-list-item :title="$t('order.youhuijine')" :rightText="$formPr(hyyh)+$t('locale.huobidw')"/>
		</uni-list>
		<label class="linesp"></label>
		<label class="linesp"></label>
		<uni-list>
		    <uni-list-item :title="$t('order.zhifujine')" :rightText="$formPr(zje)+$t('locale.huobidw')"/>
		</uni-list>
		<label class="linesp"></label>
		<label class="linesp"></label>
		<view class="delbtct">
			<view class="delbt" @click="qufukuan">
				<label >{{actTitle}}</label>
			</view>
		</view>
		
		<label class="linesp"></label>
		
		<yhdslCropper ref="yhdslCropper" :quality="1" mode="scale"  @uploadImg="uploadImg" :scale="scale"></yhdslCropper>
		
		<popViewGG :tips="$t('order.zhifufangshi')" :show="zffsS" :showbotom="false" :maskClosable="true" :isCancel="true" @chooseCancel="chooseCancel">
			<view class="contentColumnC" style="width: 100%;background-color: whitesmoke;">
				<view class="zhifbut" style="background-color: deeppink;" @click="huodaofukuan">{{$t('index.huodaofukan')}}</view>
			</view>
		</popViewGG>
		
		<uni-popup ref="alertDialog" type="dialog">
			<uni-popup-dialog ref="inputClose"  mode="input" title="用餐桌號" :value="zuohao" :placeholder="inputNote" :confirmText="$t('comp.queren')" :cancelText="$t('order.quxiao')" @confirm="dialogConfirm"></uni-popup-dialog>
		</uni-popup>
		
	</view>
</template>

<script>
	import yhdslCropper from '@/components/yhdsl-cropper/yhdsl-cropper.vue';
	import api from "@/pages/api/api.js"
		export default {
			components:{
				yhdslCropper
			},
		data() {
			return {
				userid:0,
				ddId:'',
				rId:'',
				showAdrr:0,
				gouwuche:[],
				Bcolor:'whitesmoke',
				Bcolorr:'lightgray',
				Bcolorrr:'lightgray',
				Tcolor:'black',
				Tcolorr:'darkgray',
				Tcolorrr:'darkgray',
				peisongimg:'/static/images/peisongh@3x.png',
				ziquimg:'/static/images/ziqu@3x.png',
				tangshiimg:'/static/images/tangshih.png',
				actTitle:this.$t('order.querendd'),
				actType:0,
				remarks:'',
				spxj:0.00,
				psf:0.00,
				hyyh:0.00,
				zje:0.00,
				jvli:0.00,
				dizhiID:'',
				addrList:[],
				isGetyunfei:false,
				orderDetl:'',
				shifoudf:1,
				scale:1,
				mpImage:'',
				showpop:false,
				zffsS:false,
				keyixd:true,
				zuohao:'',
				inputNote:'請填寫桌號'
			}
		},
		onLoad(option) {
			
			var gwc = uni.getStorageSync('gouwuche');
			if(''==gwc||null==gwc||undefined==gwc){
				this.gouwuche=[];
				return
			}
			else{
				this.gouwuche = JSON.parse(gwc);
				this.jisuanjiner();
			}
			
			this.userid=option.userid;
			
		},
		onShow() {
			var temp=uni.getStorageSync("peisongdizhi");
			if(undefined==temp||null==temp||''==temp ){
				this.dizhiID='';
				this.getaddressList();
			}
			else{
				this.dizhiID= temp;
				this.mpImage=this.dizhiID.annexes;
			}
			this.isGetyunfei = false;
			if(this.dizhiID==''){
				this.getaddressList();
			}
			else{
				console.log('4444')
				this.kaishichuliyunfei();
			}
		},
		methods: {
			
		//----------------------------------------------------------------------------
		//选择配送、堂食、自取
		peisong(){
			if(this.actType>0){
				return;
			}
			this.showAdrr=0;
			this.peisongimg='/static/images/peisongh@3x.png';
			this.ziquimg='/static/images/ziqu@3x.png';
			this.tangshiimg='/static/images/tangshih.png';
			this.Bcolor='whitesmoke';
			this.Bcolorr='lightgray';
			this.Bcolorrr='lightgray';
			this.Tcolor='black';
			this.Tcolorr='darkgray';
			this.Tcolorrr='darkgray';
			
			
			this.jisuanjiner();
		},
		ziqu(){
			if(this.actType>0){
				return;
			}
			this.showAdrr=1;
			this.peisongimg='/static/images/peisong@3x.png';
			this.ziquimg='/static/images/ziquh@3x.png';
			this.tangshiimg='/static/images/tangshih.png';
			this.Bcolor='lightgray';
			this.Bcolorr='whitesmoke';
			this.Bcolorrr='lightgray';
			this.Tcolor='darkgray';
			this.Tcolorr='black';
			this.Tcolorrr='darkgray';
			this.psf=0;
			this.jisuanjiner();
		},
		tangshi(){
			this.showAdrr=2;
			this.peisongimg='/static/images/peisong@3x.png';
			this.ziquimg='/static/images/ziqu@3x.png';
			this.tangshiimg='/static/images/tangshi.png';
			this.Bcolor='lightgray';
			this.Bcolorr='lightgray';
			this.Bcolorrr='whitesmoke';
			this.Tcolor='darkgray';
			this.Tcolorr='darkgray';
			this.Tcolorrr='black';
			this.psf=0;
			this.jisuanjiner();
		},
		
		inputZuohao(){
			this.$refs.alertDialog.open('center');
		},
		dialogConfirm(name){
			console.log(name);
			this.zuohao = name;
		},
		
		//地址管理
		changaddr(){
			uni.navigateTo({
				url:'/pages/UserCenter/dizhi/dizhilist'
			})
		},
		getaddressList(){
			api('getaddressList',{
			},r=>{
				this.addrList=r.data.data;
				if(this.dizhiID!=''){
					console.log('3333')
					// this.kaishichuliyunfei();
				}
				else{
					if(this.addrList.length>0){
						console.log('2222')
						this.dizhiID=this.addrList[0];
						this.mpImage=this.dizhiID.annexes;
						this.kaishichuliyunfei();
					}
				}
			},failc=>{
				//console.log('getadvertis----',failc)
			})
		},
		
		peisongfangshi(){
			
			
			
		},
		
		selectImage(){
			console.log('selectImage');
			 this.$refs.yhdslCropper.chooseImage();
		},
		uploadImg(e) {
			console.log('------------uploadImg:',e)
			this.spImage = e;
			var that = this;
			uni.uploadFile({
				url: this.$upImagurl, //上传图片api
				filePath: e,
				name: 'file',
				header:{
					//"Authorization": userinfo.token
				},
				success: (res) => {
					let group =  JSON.parse(res.data);
					that.mpImage=group.data;
					console.log(group)
					api('ADDaddress',{
						id:that.dizhiID.id,
						annexes:that.mpImage
					},
					res=>{
						if(res.data.code==200){
							that.dizhiID.annexes=that.mpImage;
							uni.setStorageSync("peisongdizhi",that.dizhiID);
						}
						console.log('getGoodsDetail:',res);
					},failc=>{
						//console.log('getadvertis----',failc)
					})
					uni.showToast({
						title:that.$t('mend.shangccg'),
						icon:"success"
					})
					
				}
			});
		},
		//商品编辑
		jiajian(indexs,index,state){//调整商品数量 
			if(this.actType>0){
				return;
			}
			var goumail=this.gouwuche[indexs].food[index].number;
			goumail=goumail+state;
			
			if(goumail==0){
				this.gouwuche[indexs].food.splice(index,1);
				if(this.gouwuche[indexs].food.length==0){
					this.gouwuche.splice(indexs,1);
					this.jisuanjiner();
					return;
				}
			}
			else{
				this.gouwuche[indexs].food[index].number=goumail;
			}
			console.log(goumail);
			var goumaijine = 0;
			for (var j=0;j<this.gouwuche[indexs].food.length;j++) {
				var food =  this.gouwuche[indexs].food[j];
				var yidongjine=food.number*(parseFloat(food.price)+parseFloat(food.otherPrice));
				goumaijine = goumaijine+yidongjine;
			}
			this.gouwuche[indexs].amount=goumaijine;
			this.jisuanjiner();
		},
		jisuanjiner(){
			if(this.isGetyunfei&&this.showAdrr==0){
				this.yunfeiheji();
			}
			else{
				this.psf=0;
			}
			this.spxj = 0;
			for(var i=0;i<this.gouwuche.length;i++){
				var item = this.gouwuche[i];
				var yidongjine=item.amount;
				this.spxj = this.spxj+yidongjine;
				this.gouwuche[i].type=this.showAdrr;//订单类型：0外送，1自取，2堂食
			}
			this.hyyh=0;
			this.zje=0;
			this.hyyh=parseInt(this.hyyh);
			this.zje=(this.spxj+this.psf)-this.hyyh;
			this.zje=parseInt(this.zje);
		},
		//支付方式
		shifodaofu(){
			return;
			if(this.actType>1){
				return;
			}
			if(this.shifoudf==0){
				this.shifoudf=1;
			}
			else{
				this.shifoudf=0;
			}
			if(this.actType==1&&this.shifoudf==1){
				this.actTitle = this.$t('index.huodaofukan');
				uni.showToast({
				    title: this.$t('order.xuanzezhif'),
				    icon: 'none',
				    duration: 2500
				})
			}
			else if(this.actType==1&&this.shifoudf==0){
				this.actTitle = this.$t('order.quzhifu');
			}
			console.log(this.shifoudf)
		},
		sumfontnum(e){
			this.remarks=e.target.value;
		},
		chooseCancel(){//关闭弹框
			this.showpop=false;
			this.zffsS=false;
			console.log('chooseCancel');
		},
		arraytoStr(arry){//数组拼接字符串
			var str='';
			if(arry.length>0){
				for(var i=0;i<arry.length;i++){
					str=str+arry[i]+'; ';
				}
				
			}
			return str;
		},
		
		qufukuan(){//点击去付款
			if(this.gouwuche.length==0){
				uni.showToast({
				    title: this.$t('comp.qingxzsp'),
				    icon: 'none',
				    duration: 2500
				})
				return;
			}
			if(this.keyixd==false){
				uni.showToast({
				    title: this.$t('mend.dianjiastatedy'),
				    icon: 'none',
				    duration: 2500
				})
				return;
			}
			if(this.actType==2){//已经支付过了！！
				
				return;
			}
			if(this.actType==1){//未支付，跳转支付
				this.zffsS=true;
				return;
			}
			var data;
			if(this.ddId.length>0){
				console.log('已经生成订单，不能重复提交');
			}
			else{
				this.ddId='99'+ new Date().valueOf();
			}
			
			
			var cretim=getApp().globalData.sj();
			 
			var dizhi = '';
			 
			if(this.showAdrr==0){
				if(this.dizhiID==''){
					uni.showToast({
					    title: this.$t('order.shdz'),
					    icon: 'none',
					    duration: 3500
					})
					return;
				}
				if(!this.isGetyunfei){
					uni.showToast({
					    title: this.$t('order.hqyfsb'),
					    icon: 'none',
					    duration: 3500
					})
					return;
				}
				dizhi = this.dizhiID.id
				this.zuohao = '';
			}
			
			if(this.showAdrr==1){
				this.zuohao = '';
			}
			if(this.showAdrr==2){
				
			}
			
			data={
				"ddId":this.ddId,//单号
				"shdzId":dizhi, //收货地址ID
				"tableNum":this.zuohao, //桌号
				"totalAmount":this.zje,//订单金额
				"actualPayAmount":this.zje,//实付金额
				"paymentMethod":"1",//支付方式1货到付款，
				"items":this.gouwuche,//商品清单
				"xiadanjiaoyan":2,//下单版本校验
				"type":this.showAdrr,
				"remarks":this.remarks,//订单的整单备注
				
			};
			console.log(getApp().globalData.token);
			this.addorder(data);
			
		},
		addorder(data){
			var that = this;
			uni.showLoading({
				title:'Loading...',
				mask:true
			})
			console.log('createOrder',data);
			api('createOrder',data,
			r=>{
				console.log(r);
				uni.hideLoading();
				if(r.data.code==200){
					this.qingkonggouwuche();
					this.ddId=data.ddId;
					this.rId=r.data.data.id;
					this.orderDetl=r.data.data;
					if(this.shifoudf==0){
						this.actType = 1;
						this.zffsS=true;
						//跳转订单详情页
						uni.redirectTo({
							url:'/pages/OrderList/MainOrderDetail/MainOrderDetail?ddid='+this.ddId
						})
					}
					else{
						this.actType = 1;
						this.actTitle = that.$t('index.huodaofukan');
						//到付订单，直接更新支付状态
						//跳转订单详情页
						uni.redirectTo({
							url:'/pages/OrderList/MainOrderDetail/MainOrderDetail?ddid='+this.ddId
						})
					}
					
				}
				else{
					uni.showToast({
					    title: r.data.msg,
					    icon: 'none',
					    duration: 2000
					})
				}
			},failc=>{
				uni.hideLoading();
				//console.log('getadvertis----',failc)
			})
		},
		
		
		huodaofukuan(){//货到付款
			this.shifoudf=1;
			this.zffsS=false;
			uni.showLoading({
				title:'Loading...',
				mask:true
			})
			var that = this;
			api('setorderuzt',{
				id:this.rId,
				"collectPayment":this.shifoudf
			},res=>{
				console.log('setorderuzt:',res)
				uni.hideLoading();
				if(res.data.code==200){
					this.actType = 2;
					this.actTitle = that.$t('order.yizhifu');
					uni.redirectTo({
						url:'/pages/OrderList/OrderDetail?ddid='+this.ddId+'&isShangjia=0'
					})
				}
				else{
					if(res.data.msg){
						uni.showToast({
						    title: res.data.msg,
						    icon: 'none',
						    duration: 2000
						})
					}
				}
			},failc=>{
				uni.hideLoading();
				//console.log('getadvertis----',failc)
			})
		},
		
		setorderuzt(){
			var that = this;
			api('setorderuzt',{
				id:this.rId,
				state:1
			},res=>{
				this.actType = 2;
				this.actTitle = that.$t('order.yizhifu');
				uni.redirectTo({
					url:'/pages/OrderList/OrderDetail?ddid='+this.ddId+'&isShangjia=0'
				})
			},failc=>{
				//console.log('getadvertis----',failc)
			})
		},
		getorderDetl(){
			var that = this;
			api('getorderxq',{
				ddid:this.ddId
			},r=>{
				this.orderDetl=r.data.data;
				if(this.orderDetl.state==1){
					that.actType = 2;
					that.actTitle = that.$t('order.yizhifu');
					uni.redirectTo({
						url:'/pages/OrderList/OrderDetail?ddid='+this.ddId+'&isShangjia=0'
					})
				}
			},failc=>{
				//console.log('getadvertis----',failc)
			})
		},
		qingkonggouwuche(){
			uni.setStorageSync('gouwuche','');
			return;
		},
		//计算运费
		kaishichuliyunfei(){
			this.isGetyunfei = false;
			for(var i=0;i<this.gouwuche.length;i++){
				this.jisuanJuli(i);
			}
		},
		jisuanJuli(index){
			var item = this.gouwuche[index];
			
			var that = this;
			var latlng1=''+this.dizhiID.latitude+','+this.dizhiID.longitude;
			var latlng2=''+item.lat+','+item.lng;
			// var latlng1='10.715641,106.73932';//''+lat+','+lng;
			// var latlng2='10.754999,106.735601';//''+this.mendianMs.latitude+','+this.mendianMs.longitude;
			api('getluxianjvli',{
				latlng1:latlng1,
				latlng2:latlng2,
				id:this.userid
			},r=>{
				console.log('getjuliForyunfeiHT',r);
				if(r.data.code==200){
					if(r.data.data[0]){
						var legs =r.data.data[0].legs;
						if(legs[0]){
							var juli = legs[0].distance.value;
							console.log("juli:",juli);
							item.jvli = juli;
							that.gouwuche[index] = item;
							that.jisuanyunfei(index)
							return;
						}
					}
				}
			},failc=>{
				//console.log('getadvertis----',failc)
			})
		},
		
		jisuanyunfei(index){
			var item = this.gouwuche[index];
			var that = this;
			api('getZuiyyfei',{
				quli:JSON.stringify(item.jvli)
			},r=>{
				console.log(r);
				if(r.data.code!=200){
					return;
				}
				var yunfei = parseInt(r.data.data.freight);
				if(yunfei>0){
				}
				else{
					yunfei=0;
				}
				item.freight = yunfei;
				that.gouwuche[index] = item;
				if(index==that.gouwuche.length-1){
					that.yunfeiheji();
				}
			},failc=>{
				//console.log('getadvertis----',failc)
			})
			
		},
		
		yunfeiheji(){
			this.psf = 0;
			for(var i=0;i<this.gouwuche.length;i++){
				var item = this.gouwuche[i];
				this.psf =this.psf+ item.freight;
			}
			this.isGetyunfei = true;
		},
		
		//-----------------------------------------------------------------------------
		
		}
	}
</script>

<style lang="scss">
page{
	background-color: #F2F3F7;
}
	.contentV{
		width:100%;
		position: relative;
		
	}
	.linesp{
		width:100%;
		height: 8rpx;
		background-color: aliceblue;
	}
	.pinglun{
		margin: 16rpx;
		padding: 10rpx;
		width:92%;
		height: 100rpx;
		border-radius: 15rpx;
		border: 2rpx solid lightgray;
	}
	.ctinrow{
		margin-top: 20rpx;
		width:100%;
		height: 80rpx;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: center;
	}
	
	
.delbtct{
	margin-left: 10%;
	margin-top: 20rpx;
	padding-bottom: 30rpx;
	width:80%;
}

.delbt{
	text-align: center;
	font-size: 36rpx;
	width:100%;
	height: 80rpx;
	line-height: 80rpx;
	color: white;
	background-color: goldenrod;
	border-radius: 10rpx;
}

.topSwichV{
	height: 70rpx;
	width: 280rpx;
	border-radius: 35rpx;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}
.topSwichVL{
	margin-left: -40rpx;
	height: 70rpx;
	width: 200rpx;
	border-radius: 35rpx;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}
.toppz{
	width: 50rpx;
}

.toppztext{
	font-size: 30rpx;
}

.spnodetail{
	display: flex;
	flex-direction: row;
	align-items: center;
	background-color: white;
	margin-top: 20rpx;
	margin-bottom: 20rpx;
}
.spIcon{
	margin: 20rpx;
	width: 90rpx;
	height: 90rpx;
}
.xiaoji{
	margin-left: auto;
	margin-right: 30rpx;
}
.actBTV{
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content:space-between;
	align-items: center;
}
.viewinrow{
	display: flex;
	flex-direction: row;
	align-items: center;
	width: 100%;
}
.kouweisku{
	padding-right: 10rpx;
	color: chocolate;
	font-size: 26rpx;
}

.shifdf{
	height: 90rpx;
	width: 90%;
	margin-left: 5%;
	align-items: center;
}
.shifdftext{
	margin-left: 30rpx;
	font-size: 30rpx;
}
.picker-view {
	width: 750rpx;
	height: 300rpx;
	margin-top: 10rpx;
}
.item {
	line-height: 100rpx;
	text-align: center;
}
.zhifbut{
	text-align:center;
	margin-top: 12rpx;
	margin-bottom: 12rpx;
	width: 80%;
	border-radius: 10rpx;
	color: white;
	line-height: 70rpx;
}
.imageRJ{
	width: 40rpx;
	height: 40rpx;
	margin-right: 8rpx;
}
.imageR{
	width: 40rpx;
	height: 40rpx;
	margin-right: 30rpx;
}
.textR{
	font-size: 26rpx;
	margin-left: 6rpx;
	margin-right: 6rpx;
}
</style>